<%@ page import="java.sql.*,gbase.db.*,gbase.init.*,java.text.*,java.util.*,gbase.util.*,org.apache.log4j.MDC" %>
<%
DBOperation theDBOperation=new DBOperation();
PageManager thePageManager=new PageManager();
ResultSet rs=null;
String sql="";
String web_title=request.getParameter("web_title") == null ? "" :request.getParameter("web_title");
String web_account=request.getParameter("web_account") == null ? "" :request.getParameter("web_account");
String bar_id=request.getParameter("bar_id")==null?"0":request.getParameter("bar_id"); 
String bar_name=request.getParameter("bar_name")==null?"0":request.getParameter("bar_name"); 
String content_id=request.getParameter("content_id")==null?"0":request.getParameter("content_id");   
WebConfig theWebConfig=new WebConfig();
WebInfo webInfo=theWebConfig.getWebInfo(web_account);

String web_name="";
String web_url="";
String web_keywords="";
String web_description="";
String web_id="";
String real_url="";
if(webInfo!=null)
{
web_name=webInfo.getWeb_name();
web_url=webInfo.getWeb_url();
web_keywords=webInfo.getWeb_keywords();
web_description=webInfo.getWeb_description();
web_id=webInfo.getWeb_id();
real_url=webInfo.getReal_url();
}
if(web_url.equals(""))
web_url="http://"+web_account+(String)MDC.get("web_url");
SimpleDateFormat now_timeformat = new SimpleDateFormat("yyyy-MM-dd");
java.util.Date now_date1 = Calendar.getInstance().getTime();
String now_date = now_timeformat.format(now_date1).toString();

String global_sql1="select name from bar_menu where id in (select parent_id from bar_menu where id='"+bar_id+"' and web_account='"+web_account+"') and web_account='"+web_account+"'";
//String global_sql2="select name from bar_menu where id='"+bar_id+"' and web_account='"+web_account+"'";
ResultSet global_rs=theDBOperation.getResultSet(global_sql1);
String parent_bar_name="";
if(global_rs.next())
{
parent_bar_name=global_rs.getString("name");
}
else
{
//global_rs=theDBOperation.getResultSet(global_sql2);
//if(global_rs.next())
//{
//parent_bar_name=global_rs.getString("name");
//}
parent_bar_name="";
}
%>

